# Make a cygmon for an ARM(R) running on an Intel(R) IXP1200 Evaluation Board
#
# ARM is a Registered Trademark of Advanced RISC Machines Limited.
# Intel is a Registered Trademark of Intel Corporation.
# Other Brands and Trademarks are the property of their respective owners.
#
BOARD_NAME = ixp1200eb

BOARD_VPATH = @top_srcdir@/bsp
stub_srcdir = @top_srcdir@/bsp

TARGET_EXECS = cygmon.img

TARGET_DEFINES=-DHAVE_BSP
TARGET_INCLUDES=-I@top_srcdir@/bsp -I@top_srcdir@/arm
ROMSTARTUP=
ROMBOARDINIT=
LIBSTUB=
STUBSRC=@top_srcdir@/../bsp
STUBOBJ=../../bsp/$(BOARD_NAME)
STUBINC=`if [ -d $(STUBSRC) ] ; then echo -I$(STUBSRC)/include -I$(STUBSRC)/arm/include ; fi`

SPECS=`if [ -d $(STUBSRC) ] ; then echo @target_os@-$(BOARD_NAME)-rom.specs; else echo $(BOARD_NAME)-rom.specs; fi`

TARGET_OBJS=arm-mon.o generic_fmt32.o generic_bp32.o generic_mem.o
TARGET_LDFLAGS=-L../../newlib/ `if [ -d $(STUBSRC)/arm/$(BOARD_NAME)/ ]; then echo -B$(STUBSRC)/arm/$(BOARD_NAME)/; fi` `if [ -d $(STUBSRC)/common/ ]; then echo -B$(STUBSRC)/common/; fi` -specs=$(SPECS)

BOARD_CFLAGS=`if [ -d $(STUBSRC)/arm/$(BOARD_NAME)/ ]; then echo -B$(STUBSRC)/arm/$(BOARD_NAME)/; fi` -specs=$(SPECS)
BOARD_ENDIAN_CFLAGS=-mbig-endian
board.h:
	@echo '/* dummy */' > board.h

CLEAN_HERE=version.c board.h
