/* Generic address conversion routines
 *
 * Copyright (c) 1997, 1998, 1999 Cygnus Solutions
 *
 * The authors hereby grant permission to use, copy, modify, distribute,
 * and license this software and its documentation for any purpose, provided
 * that existing copyright notices are retained in all copies and that this
 * notice is included verbatim in any distributions. No written agreement,
 * license, or royalty fee is required for any of the authorized uses.
 * Modifications to this software may be copyrighted by their authors
 * and need not follow the licensing terms described here, provided that
 * the new terms are clearly indicated on the first page of each file where
 * they apply.
 */

#include <string.h>
#ifdef HAVE_BSP
#include <bsp/bsp.h>
#include <bsp/cpu.h>
#endif
#include "monitor.h"
#include "fmt_util.h"


int
str2addr (char *string, mem_addr_t *res)
{
#ifdef HAVE_ASI
  if (string[0] == '[')
    {
      char *ptr = ++string;
      while (*ptr && *ptr != ']')
	ptr++;

      if (*ptr == 0)
	return -1;

      *(ptr++) = 0;
      res->asi = str2int (string, 16);
      string = ptr;
    }
  else
    res->asi = ASI_DEFAULT;
#endif
  res->addr = str2int (string, 16);
  return 0;
}

void
addr2str (mem_addr_t *addr, char *dest)
{
#ifdef HAVE_ASI
  if (addr->asi != ASI_DEFAULT)
    xsprintf(dest, "[%x]", addr->asi);
  else
#endif
    dest[0] = 0;
  strcat (dest, int2str (addr->addr, 16, sizeof (void *) * 2));
}
