/* Header for the udderly simple line editor
 *
 * Copyright (c) 1997, 1999 Cygnus Solutions
 *
 * The authors hereby grant permission to use, copy, modify, distribute,
 * and license this software and its documentation for any purpose, provided
 * that existing copyright notices are retained in all copies and that this
 * notice is included verbatim in any distributions. No written agreement,
 * license, or royalty fee is required for any of the authorized uses.
 * Modifications to this software may be copyrighted by their authors
 * and need not follow the licensing terms described here, provided that
 * the new terms are clearly indicated on the first page of each file where
 * they apply.
 */
#ifndef LEDIT_H
#define LEDIT_H

#define LF '\n'
#define CR '\r'
#define BOLCMD '\001'
#define EOLCMD '\005'
#define FORWCMD '\006'
#define BACKCMD '\002'
#define DELBACK '\010'
#define DELEOL '\013'
#define YANKCH '\031'
#define DELCURRCH '\004'
#define PREVCMD '\020'
#define ERASELINE '\025'
#define NEXTCMD '\016'

/* Prompt for one line of input using PROMPT. The input from the user
   (up to MAXINPLEN characters) will be stored in BUFFER. The number
   of characters read will be returned. */
extern int lineedit(char *prompt, char *buffer, int maxInpLen);

/* Add CMD to the user's command history. */
extern void addHistoryCmd (char *cmd);

/* Configure the editor to use the specified terminal. */
extern void set_term_name (char *name);

/* Beep the terminal. */
extern void beep (void);

/* Print a history list. */
extern void printHistoryList(void);

#endif
